Subject: Re: bug#54406: 28.0.91; rcirc text wrapping

From: Philip Kaludercic <[email-masked]>
Date: Fri, 04 Nov 2022 22:52:35 +0000

Philip Kaludercic <[email-masked]> writes:

> Lars Ingebrigtsen <[email-masked]> writes:
>
>> Ken Raeburn <[email-masked]> writes:
>>
>>> The old version in 27.1 did:
>>>
>>>  	    ;; squeeze spaces out of text before rcirc-text
>>> 	    (fill-region fill-start
>>> 			 (1- (or (next-single-property-change fill-start
>>> 							      'rcirc-text)
>>> 				 rcirc-prompt-end-marker)))
>>>
>>> where fill-start is set to
>>>
>>>   (marker-position rcirc-prompt-start-marker)
>>>
>>> evaluated before inserting the new text.  The new version seems to be
>>> filling the entire narrowed region containing the just-inserted text.
>>
>> So I guess this was changed in:
>>
>> commit 849e71fd83fa8796198035464897bf2f28f6226c
>> Author:     Philip Kaludercic <[email-masked]>
>> AuthorDate: Wed Jun 9 17:55:55 2021 +0200
>>
>> I've added Philip to the CCs; perhaps he has some comments.
>
> It seems this was just a misunderstanding on what the "squeeze"-code
> does.  The reason it had to be changed is so that messages with
> time-stamps could be received out-of-order.  I am guessing (but would
> have to look into it in more detail) that the intention could be
> implemented more elegantly than by calling fill-region on a specific
> region.

The call has been removed with b2283409fbe4324ee2fb50b385a9b6cc3458693c.
Should we close the report or does Ken want to try it out first to
confirm that everything works?